(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     49036,       1059]
NotebookOptionsPosition[     49429,       1052]
NotebookOutlinePosition[     49961,       1072]
CellTagsIndexPosition[     49918,       1069]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"                    ", 
  RowBox[{Cell[TextData[{
    StyleBox["            Tool :  ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox["PES(Linear)-Tool (Price elasticity of supply)",
     FontFamily->"Optima",
     FontSize->18,
     Background->None],
    StyleBox[
    "\n        Author :  Jorge M. Andraz, Renato Candeias, Ana C. Concei\
\[CCedilla]\[ATilde]o (Universidade do Algarve)",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox["   \n        ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Bold",
     Background->None],
    StyleBox["Created under the F-Tool concept:",
     FontFamily->"Optima",
     FontWeight->"Plain",
     Background->None],
    StyleBox[" ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox[
    "Ana C. Concei\[CCedilla]\[ATilde]o, Jos\[EAcute] C. Pereira, \
C\[AAcute]tia M. Silva, Cristina R. Sim\[ATilde]o (2012)",
     FontFamily->"Optima",
     FontSize->12,
     FontWeight->"Plain",
     Background->None],
    StyleBox["        \n            ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Bold",
     Background->None],
    StyleBox["Year :  2019  ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox["(published under license CC BY - NC - SA)",
     FontFamily->"Optima",
     FontSize->16,
     FontWeight->"Plain",
     Background->None]
   }], "Section",
    CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
     3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
     3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
    FontFamily->"Courier",
    FontSize->14,
    Background->RGBColor[0.8, 0.8, 0.4],
    ExpressionUUID -> "8c5f323e-a33d-4a8f-a576-4cb80b2c81be"], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = 
      3.4, $CellContext`b$$ = -3.1500000000000004`, \
$CellContext`elasticityD$$ = False, $CellContext`firstD$$ = 
      False, $CellContext`inverse$$ = True, $CellContext`Q0$$ = 
      6, $CellContext`rationalize$$ = True, Typeset`show$$ = True, 
      Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
      Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
      "\"untitled\"", Typeset`specs$$ = {{
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`rationalize$$], True, ""}, {
        True -> "Exact", False -> "Approximate"}}, {
        Hold[
         Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`a$$], 1}, 0, 5, 0.01}, {{
         Hold[$CellContext`b$$], 0}, -12, 12, 0.01}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style["\!\(\*\nStyleBox[\"Derivative\",\nFontSize->14]\)", Bold]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`firstD$$], False, 
         Text[
          TraditionalForm[
           TraditionalForm[
            Text[
             Style[
              Derivative[1][$CellContext`P][$CellContext`Q], 16]]]]]}, {
        True, False}}, {
        Hold[
         Row[{"      ", 
           Manipulate`Place[1], "          "}]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style[
         "\!\(\*\nStyleBox[\"Inverse\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Function\",\nFontSize->14]\)", Bold]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`inverse$$], False, 
         Text[
          TraditionalForm[
           TraditionalForm[
            Text[
             Style[
              Superscript[$CellContext`P, -1][$CellContext`Q], 16]]]]]}, {
        True, False}}, {
        Hold[
         Row[{"      ", 
           Manipulate`Place[2]}]], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style[
         "\!\(\*\nStyleBox[\"Price\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)\!\(\*\nStyleBox[\"elasticity\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"supply\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"at\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\
\*SubscriptBox[\(Q\), \(0\)]\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`elasticityD$$], False, 
         "\!\(\*\nStyleBox[\"PES\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)"}, {True, False}}, {
        Hold[
         Row[{"      ", 
           Manipulate`Place[3]}]], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`Q0$$], 6}, 0, 12, 0.01}, {
        Hold[
         Dynamic[
          If[$CellContext`elasticityD$$, 
           Row[{"      ", 
             Manipulate`Place[4]}], ""]]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style["  \!\(\*\nStyleBox[\"Zeros\",\nFontSize->14]\)", Bold]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Dynamic[
          If[$CellContext`a$$ != 0, 
           $CellContext`TradForm[
            Row[{"     ", 
              TraditionalForm[
               Style[$CellContext`Q, 16]], 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              If[$CellContext`rationalize$$, 
               
               Rationalize[(-$CellContext`b$$)/$CellContext`a$$], \
(-$CellContext`b$$)/$CellContext`a$$]}], 16], 
           If[
            And[$CellContext`a$$ == 0, $CellContext`b$$ == 0], 
            $CellContext`TradForm[
             Row[{"     ", 
               TraditionalForm[
                Style[$CellContext`Q, 16]], 
               "\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)"}], 16], 
            Style["     No Real Zeros", 14]]]]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style[
         "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\n\
FontSize->14]\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Dynamic[
          $CellContext`TradForm[
           If[
            And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], "", 
            If[$CellContext`a$$ < 0, "", 
             
             Row[{"    \!\(\*\nStyleBox[\"P\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Q\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
               If[$CellContext`rationalize$$, 
                Row[{" = ", 
                  $CellContext`RP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}], 
                Row[{" \[TildeEqual] ", 
                  $CellContext`P[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}]]}]]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Dynamic[
          If[
           And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], "", 
           If[$CellContext`a$$ < 0, "", 
            $CellContext`TradForm[
             If[$CellContext`firstD$$, 
              
              Row[{"    \!\(\*\nStyleBox[\"P\.b4\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                If[$CellContext`rationalize$$, 
                 Row[{" = ", 
                   $CellContext`RDP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}], 
                 Row[{" \[TildeEqual] ", 
                   $CellContext`DP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}]]}], 
              
              Row[{"    \!\(\*\nStyleBox[\"P\.b4\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]],
              16]]]]], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Dynamic[
          If[
           And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], "", 
           If[$CellContext`a$$ < 0, "", 
            $CellContext`TradForm[
             If[$CellContext`inverse$$, 
              If[$CellContext`a$$ != 0, 
               
               Row[{"    \!\(\*SuperscriptBox[\(P\), \(-1\)]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                 If[$CellContext`rationalize$$, 
                  Row[{" = ", 
                    $CellContext`RinvF[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}], 
                  Row[{" \[TildeTilde] ", 
                    $CellContext`invF[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}]]}], 
               "    \!\(\*SuperscriptBox[\(P\), \(-1\)]\)\!\(\*\nStyleBox[\"(\
\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"  \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"exist\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"], 
              
              Row[{"    \!\(\*SuperscriptBox[\(P\), \(-1\)]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]]]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style[
         "  \!\(\*\nStyleBox[\"Price\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"elasticity\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"supply\",\n\
FontSize->14]\) ", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`elasticityD$$, 
            If[$CellContext`a$$ < 0, 
             
             Row[{"    \!\(\*\nStyleBox[\"Does\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"not\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"make\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"sense\",\n\
FontSlant->\"Italic\"]\)", 
               "\n    \!\(\*\nStyleBox[\"to\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"analyze\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}], 
             If[
              And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], 
              
              Row[{"    \!\(\*\nStyleBox[\"Does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"make\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"sense\",\nFontSlant->\"Italic\"]\)", 
                "\n    \!\(\*\nStyleBox[\"to\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"analyze\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}], 
              If[
               
               And[$CellContext`a$$ == 0, $CellContext`b$$ > 
                0, $CellContext`Q0$$ > 0], 
               
               Row[{"    PES(\!\(\*SubscriptBox[\(Q\), \(0\)]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\) = \[Infinity]"}], 
               If[
                
                And[$CellContext`a$$ > 
                 0, (-$CellContext`b$$)/$CellContext`a$$ > 
                 0, $CellContext`Q0$$ <= \
(-$CellContext`b$$)/$CellContext`a$$], 
                
                Row[{"    \!\(\*\nStyleBox[\"Does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"make\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"sense\",\nFontSlant->\"Italic\"]\)", 
                  "\n    \!\(\*\nStyleBox[\"to\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"analyze\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}], 
                If[$CellContext`Q0$$ > 0, 
                 Row[{
                  "    PES(\!\(\*SubscriptBox[\(Q\), \(0\)]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                   If[$CellContext`rationalize$$, 
                    Row[{" = ", 
                    $CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$]}], 
                    Row[{" \[TildeEqual] ", 
                    $CellContext`PES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$]}]]}], 
                 
                 Row[{"    \!\(\*\nStyleBox[\"Does\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"not\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"make\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"sense\",\n\
FontSlant->\"Italic\"]\)", 
                   "\n    \!\(\*\nStyleBox[\"to\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"analyze\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}]]]]]], ""], 16]]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Style[
         "  \!\(\*\nStyleBox[\"Type\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"price\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"elasticity\",\nFontSize->14]\) ", Bold]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`elasticityD$$, 
            If[$CellContext`a$$ < 0, 
             Row[{""}], 
             If[
              And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], 
              Row[{""}], 
              If[
               
               And[$CellContext`a$$ == 0, $CellContext`b$$ > 
                0, $CellContext`Q0$$ > 0], 
               Row[{"    Perfect Elastic Supply"}], 
               If[
                
                And[$CellContext`a$$ == 0, $CellContext`b$$ > 
                 0, $CellContext`Q0$$ <= 0], 
                Row[{""}], 
                If[
                 
                 And[$CellContext`a$$ > 
                  0, (-$CellContext`b$$)/$CellContext`a$$ > 
                  0, $CellContext`Q0$$ <= \
(-$CellContext`b$$)/$CellContext`a$$], 
                 Row[{""}], 
                 If[
                  
                  And[$CellContext`a$$ > 
                   0, (-$CellContext`b$$)/$CellContext`a$$ == 
                   0, $CellContext`Q0$$ <= 0], 
                  Row[{""}], 
                  If[
                   
                   And[$CellContext`a$$ > 
                    0, (-$CellContext`b$$)/$CellContext`a$$ < 
                    0, $CellContext`Q0$$ <= 0], 
                   Row[{""}], 
                   
                   If[$CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$] == 1, 
                    Row[{"    Unit Elastic Supply"}], 
                    
                    If[$CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$] < 1, 
                    Row[{"    Inelastic Supply"}], 
                    
                    If[$CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$] > 1, 
                    Row[{"    Elastic Supply"}]]]]]]]]]]], ""], 16]]], 
        Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[""], Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
      342., {170., 203.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
      Typeset`skipInitDone$$ = False, $CellContext`rationalize$351754$$ = 
      False, $CellContext`a$351755$$ = 0, $CellContext`b$351756$$ = 
      0, $CellContext`firstD$351757$$ = False, $CellContext`inverse$351758$$ =
       False, $CellContext`elasticityD$351759$$ = 
      False, $CellContext`Q0$351760$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       2, StandardForm, 
        "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
          0, $CellContext`elasticityD$$ = False, $CellContext`firstD$$ = 
          False, $CellContext`inverse$$ = False, $CellContext`Q0$$ = 
          6, $CellContext`rationalize$$ = True}, "ControllerVariables" :> {
          
          Hold[$CellContext`rationalize$$, $CellContext`rationalize$351754$$, 
           False], 
          Hold[$CellContext`a$$, $CellContext`a$351755$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$351756$$, 0], 
          Hold[$CellContext`firstD$$, $CellContext`firstD$351757$$, False], 
          Hold[$CellContext`inverse$$, $CellContext`inverse$351758$$, False], 
          
          
          Hold[$CellContext`elasticityD$$, $CellContext`elasticityD$351759$$, 
           False], 
          Hold[$CellContext`Q0$$, $CellContext`Q0$351760$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> Labeled[
          DynamicModule[{$CellContext`p = {6, 
              $CellContext`P[6, $CellContext`a$$, $CellContext`b$$]}}, 
           LocatorPane[
            Dynamic[$CellContext`p], 
            Plot[{
              If[$CellContext`a$$ == 0, 
               $CellContext`S[$CellContext`b$$], 
               $CellContext`P[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]], 
              If[$CellContext`firstD$$, 
               $CellContext`DP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]], 
              If[
               
               And[$CellContext`elasticityD$$, $CellContext`Q0$$ > 
                0, $CellContext`a$$ > 0], 
               $CellContext`PES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$]], 
              If[
               And[$CellContext`inverse$$, $CellContext`a$$ != 0], 
               $CellContext`invF[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]], 
              
              If[$CellContext`inverse$$, $CellContext`Q]}, {$CellContext`Q, \
$CellContext`xmin, $CellContext`xmax}, PlotRange -> {{0, 12.01}, {0, 12.01}}, 
             AspectRatio -> Automatic, AxesLabel -> {$CellContext`Q, "P"}, 
             GridLines -> {
               Table[$CellContext`i, {$CellContext`i, 0, 12, 1}], 
               Table[$CellContext`i, {$CellContext`i, 0, 12, 1}]}, 
             GridLinesStyle -> Directive[LightGray, Dashed], ImageSize -> 450,
              Epilog -> {
               Locator[
                Dynamic[{
                  First[$CellContext`p], 
                  $CellContext`P[
                   
                   First[$CellContext`p], $CellContext`a$$, \
$CellContext`b$$]}], ImageSize -> 12], 
               Inset[
                Framed[
                 Column[{
                   Style["Plot Functions", 13], 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][17]], 
                    " \!\(\*\nStyleBox[\"P\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}], 
                   If[$CellContext`elasticityD$$, 
                    Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][3]], 
                    " \!\(\*\nStyleBox[\"PES\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                   If[$CellContext`firstD$$, 
                    Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][8]], 
                    " \!\(\*\nStyleBox[\"P\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"'\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                   If[
                    And[$CellContext`inverse$$, $CellContext`a$$ != 0], 
                    Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][15]], 
                    " \!\(\*SuperscriptBox[\n StyleBox[\"P\",\nFontSize->16,\n\
FontSlant->\"Italic\"], \n RowBox[{\"-\", \"1\"}]]\)\!\(\*\nStyleBox[\"(\",\n\
FontSize->16,\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSize->16,\
\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\nFontSlant->\
\"Italic\"]\)"}]]}], Background -> LightGreen, RoundingRadius -> 5, 
                 FrameStyle -> {Gray, Thin}], {2, 10}], 
               Inset[
                Framed[
                 Style[
                  Column[{"Coordinates", 
                    
                    Row[{"\!\(\*\nStyleBox[\"    \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)=\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)", 
                    Dynamic[
                    Part[$CellContext`p, 1]], "    "}], 
                    
                    Row[{"    \!\(\*\nStyleBox[\"P\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\[TildeEqual]\!\(\*\n\
StyleBox[\" \",\nFontSlant->\"Italic\"]\)", 
                    Dynamic[
                    Part[$CellContext`p, 2]], "    "}]}], 13], Background -> 
                 ColorData[35][4], RoundingRadius -> 5, 
                 FrameStyle -> {Gray, Thin}], {10, 10}]}, PlotStyle -> {{
                ColorData[54][17], Thick}, {
                ColorData[54][8], Thick}, {
                ColorData[54][3], Thick}, {
                ColorData[54][15], Thick}, {Black, Dashed}, Null}], 
            Appearance -> None]], 
          Framed[
           Style[
           " \!\(\*\nStyleBox[\"P\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\"(\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\"Q\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\")\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\"=\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\"aQ\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->5,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\"+\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\)\!\(\*\nStyleBox[\"b\",\nFontSize->24,\nFontColor->RGBColor[0.4, \
0.2, 0.]]\) ", Bold], Background -> ColorData[35][3], RoundingRadius -> 5, 
           FrameStyle -> Blue], Top], 
        "Specifications" :> {"", "", "", "", Delimiter, 
          Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold], 
          "", {{$CellContext`rationalize$$, True, ""}, {
           True -> "Exact", False -> "Approximate"}}, Delimiter, 
          Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold], 
          "", {{$CellContext`a$$, 1}, 0, 5, 0.01, ImageSize -> Small, 
           Appearance -> "Labeled"}, {{$CellContext`b$$, 0}, -12, 12, 0.01, 
           ImageSize -> Small, Appearance -> "Labeled"}, Delimiter, "", 
          Style["\!\(\*\nStyleBox[\"Derivative\",\nFontSize->14]\)", Bold], 
          "", {{$CellContext`firstD$$, False, 
            Text[
             TraditionalForm[
              TraditionalForm[
               Text[
                Style[
                 Derivative[1][$CellContext`P][$CellContext`Q], 16]]]]]}, {
           True, False}, ControlPlacement -> 1}, 
          Row[{"      ", 
            Manipulate`Place[1], "          "}], "", Delimiter, "", 
          Style[
          "\!\(\*\nStyleBox[\"Inverse\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Function\",\nFontSize->14]\)", Bold], 
          "", {{$CellContext`inverse$$, False, 
            Text[
             TraditionalForm[
              TraditionalForm[
               Text[
                Style[
                 Superscript[$CellContext`P, -1][$CellContext`Q], 16]]]]]}, {
           True, False}, ControlPlacement -> 2}, 
          Row[{"      ", 
            Manipulate`Place[2]}], "", Delimiter, "", 
          Style[
          "\!\(\*\nStyleBox[\"Price\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"elasticity\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"supply\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"at\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\
\*SubscriptBox[\(Q\), \(0\)]\)", 
           Bold], {{$CellContext`elasticityD$$, False, 
            "\!\(\*\nStyleBox[\"PES\",\nFontSize->14,\nFontSlant->\"Italic\"]\
\)"}, {True, False}, ControlPlacement -> 3}, 
          Row[{"      ", 
            Manipulate`Place[3]}], {{$CellContext`Q0$$, 6}, 0, 12, 0.01, 
           ImageSize -> Small, Appearance -> "Labeled", ControlPlacement -> 
           4}, 
          Dynamic[
           If[$CellContext`elasticityD$$, 
            Row[{"      ", 
              Manipulate`Place[4]}], ""]], Delimiter, "", "", "", "", "", "", 
          "", "", Delimiter, 
          Style["  \!\(\*\nStyleBox[\"Zeros\",\nFontSize->14]\)", Bold], "", 
          Dynamic[
           If[$CellContext`a$$ != 0, 
            $CellContext`TradForm[
             Row[{"     ", 
               TraditionalForm[
                Style[$CellContext`Q, 16]], 
               If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
               If[$CellContext`rationalize$$, 
                
                Rationalize[(-$CellContext`b$$)/$CellContext`a$$], \
(-$CellContext`b$$)/$CellContext`a$$]}], 16], 
            If[
             And[$CellContext`a$$ == 0, $CellContext`b$$ == 0], 
             $CellContext`TradForm[
              Row[{"     ", 
                TraditionalForm[
                 Style[$CellContext`Q, 16]], 
                "\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)"}], 16], 
             Style["     No Real Zeros", 14]]]], "", Delimiter, "", 
          Style[
          "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\nFontSize->14]\)", 
           Bold], "", 
          Dynamic[
           $CellContext`TradForm[
            If[
             And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], "", 
             If[$CellContext`a$$ < 0, "", 
              
              Row[{"    \!\(\*\nStyleBox[\"P\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                If[$CellContext`rationalize$$, 
                 Row[{" = ", 
                   $CellContext`RP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}], 
                 Row[{" \[TildeEqual] ", 
                   $CellContext`P[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}]]}]]], 16]], "", "", 
          Dynamic[
           If[
            And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], "", 
            If[$CellContext`a$$ < 0, "", 
             $CellContext`TradForm[
              If[$CellContext`firstD$$, 
               
               Row[{"    \!\(\*\nStyleBox[\"P\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Q\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
                 If[$CellContext`rationalize$$, 
                  Row[{" = ", 
                    $CellContext`RDP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}], 
                  Row[{" \[TildeEqual] ", 
                    $CellContext`DP[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}]]}], 
               
               Row[{"    \!\(\*\nStyleBox[\"P\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Q\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]]]], "", "", 
          Dynamic[
           If[
            And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], "", 
            If[$CellContext`a$$ < 0, "", 
             $CellContext`TradForm[
              If[$CellContext`inverse$$, 
               If[$CellContext`a$$ != 0, 
                
                Row[{"    \!\(\*SuperscriptBox[\(P\), \(-1\)]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                  If[$CellContext`rationalize$$, 
                   Row[{" = ", 
                    $CellContext`RinvF[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}], 
                   Row[{" \[TildeTilde] ", 
                    $CellContext`invF[$CellContext`Q, $CellContext`a$$, \
$CellContext`b$$]}]]}], 
                "    \!\(\*SuperscriptBox[\(P\), \(-1\)]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"  \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"exist\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"], 
               
               Row[{"    \!\(\*SuperscriptBox[\(P\), \(-1\)]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Q\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]]], 
          "", Delimiter, "", 
          Style[
          "  \!\(\*\nStyleBox[\"Price\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"elasticity\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"supply\",\n\
FontSize->14]\) ", Bold], "", 
          Dynamic[
           $CellContext`TradForm[
            If[$CellContext`elasticityD$$, 
             If[$CellContext`a$$ < 0, 
              
              Row[{"    \!\(\*\nStyleBox[\"Does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"make\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"sense\",\nFontSlant->\"Italic\"]\)", 
                "\n    \!\(\*\nStyleBox[\"to\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"analyze\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}], 
              If[
               And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], 
               
               Row[{"    \!\(\*\nStyleBox[\"Does\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"not\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"make\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"sense\",\n\
FontSlant->\"Italic\"]\)", 
                 "\n    \!\(\*\nStyleBox[\"to\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"analyze\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}], 
               If[
                
                And[$CellContext`a$$ == 0, $CellContext`b$$ > 
                 0, $CellContext`Q0$$ > 0], 
                
                Row[{"    PES(\!\(\*SubscriptBox[\(Q\), \(0\)]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\) = \[Infinity]"}], 
                If[
                 
                 And[$CellContext`a$$ > 
                  0, (-$CellContext`b$$)/$CellContext`a$$ > 
                  0, $CellContext`Q0$$ <= \
(-$CellContext`b$$)/$CellContext`a$$], 
                 
                 Row[{"    \!\(\*\nStyleBox[\"Does\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"not\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"make\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"sense\",\n\
FontSlant->\"Italic\"]\)", 
                   "\n    \!\(\*\nStyleBox[\"to\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"analyze\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}], 
                 If[$CellContext`Q0$$ > 0, 
                  
                  Row[{"    PES(\!\(\*SubscriptBox[\(Q\), \(0\)]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                    If[$CellContext`rationalize$$, 
                    Row[{" = ", 
                    $CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$]}], 
                    Row[{" \[TildeEqual] ", 
                    $CellContext`PES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$]}]]}], 
                  
                  Row[{"    \!\(\*\nStyleBox[\"Does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"make\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"sense\",\nFontSlant->\"Italic\"]\)", 
                    "\n    \!\(\*\nStyleBox[\"to\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"analyze\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)PES\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[SubscriptBox[\"Q\", \"0\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"}]]]]]], ""], 16]], "", 
          Delimiter, "", 
          Style[
          "  \!\(\*\nStyleBox[\"Type\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"price\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"elasticity\",\nFontSize->14]\) ", Bold], "", 
          Dynamic[
           $CellContext`TradForm[
            If[$CellContext`elasticityD$$, 
             If[$CellContext`a$$ < 0, 
              Row[{""}], 
              If[
               And[$CellContext`a$$ == 0, $CellContext`b$$ <= 0], 
               Row[{""}], 
               If[
                
                And[$CellContext`a$$ == 0, $CellContext`b$$ > 
                 0, $CellContext`Q0$$ > 0], 
                Row[{"    Perfect Elastic Supply"}], 
                If[
                 
                 And[$CellContext`a$$ == 0, $CellContext`b$$ > 
                  0, $CellContext`Q0$$ <= 0], 
                 Row[{""}], 
                 If[
                  
                  And[$CellContext`a$$ > 
                   0, (-$CellContext`b$$)/$CellContext`a$$ > 
                   0, $CellContext`Q0$$ <= \
(-$CellContext`b$$)/$CellContext`a$$], 
                  Row[{""}], 
                  If[
                   
                   And[$CellContext`a$$ > 
                    0, (-$CellContext`b$$)/$CellContext`a$$ == 
                    0, $CellContext`Q0$$ <= 0], 
                   Row[{""}], 
                   If[
                    
                    And[$CellContext`a$$ > 
                    0, (-$CellContext`b$$)/$CellContext`a$$ < 
                    0, $CellContext`Q0$$ <= 0], 
                    Row[{""}], 
                    
                    If[$CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$] == 1, 
                    Row[{"    Unit Elastic Supply"}], 
                    
                    If[$CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$] < 1, 
                    Row[{"    Inelastic Supply"}], 
                    
                    If[$CellContext`RPES[$CellContext`Q0$$, $CellContext`a$$, \
$CellContext`b$$] > 1, 
                    Row[{"    Elastic Supply"}]]]]]]]]]]], ""], 16]], 
          Delimiter, "", ""}, 
        "Options" :> {
         ControlPlacement -> {
           Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
            Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
            Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
            Left, Right, Right, Right, Right, Right, Right, Right, Right, 
            Right, Right, Right, Right, Right, Right, Right, Right, Right, 
            Right, Right, Right, Right, Right, Right, Right, Right, Right, 
            Right, Right, Right, Right, Right, Right, Right, Right, Right, 
            Right, Right, Right, Right, Right, Right, Right, Right, Right, 
            Right, Right, Right, Right, Right, Right, Right, Right, Right, 
            Right, Right, Right, Right, Right, Right, Right}}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{675., {219., 224.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      Initialization:>(($CellContext`TradForm[
           Pattern[$CellContext`arg, 
            Blank[]], 
           Pattern[$CellContext`size, 
            Blank[]]] = Text[
           TraditionalForm[
            TraditionalForm[
             Text[
              
              Style[$CellContext`arg, $CellContext`size]]]]]; \
$CellContext`xmin = 0; $CellContext`xmax = 12; $CellContext`S[
           Pattern[$CellContext`b, 
            Blank[]]] = $CellContext`b; $CellContext`P[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            
            Blank[]]] = $CellContext`a $CellContext`Q + $CellContext`b; \
$CellContext`Q[
           Pattern[$CellContext`P, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] = (
            1/$CellContext`a) $CellContext`P - $CellContext`b/$CellContext`a; \
$CellContext`DP[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] = D[
           $CellContext`P[$CellContext`Q, $CellContext`a, $CellContext`b], \
$CellContext`Q]; $CellContext`PES[
           Pattern[$CellContext`Q0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] = (
           1/$CellContext`DP[$CellContext`Q0, $CellContext`a, \
$CellContext`b]) ($CellContext`P[$CellContext`Q0, $CellContext`a, \
$CellContext`b]/$CellContext`Q0); $CellContext`DDP[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] = D[
           $CellContext`DP[$CellContext`Q, $CellContext`a, $CellContext`b], \
$CellContext`Q]; $CellContext`invF[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            
            Blank[]]] = ($CellContext`Q - $CellContext`b)/$CellContext`a; \
$CellContext`RP[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := 
         Rationalize[$CellContext`a] $CellContext`Q + 
          Rationalize[$CellContext`b]; $CellContext`RDP[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Rationalize[$CellContext`a]; $CellContext`RDDP[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := D[
           $CellContext`DP[$CellContext`Q, $CellContext`a, $CellContext`b], \
$CellContext`Q]; $CellContext`RinvF[
           Pattern[$CellContext`Q, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := 
         Rationalize[($CellContext`Q - $CellContext`b)/$CellContext`a]; \
$CellContext`RPES[
           Pattern[$CellContext`Q0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := 
         Rationalize[(
            1/$CellContext`DP[$CellContext`Q0, $CellContext`a, \
$CellContext`b]) ($CellContext`P[$CellContext`Q0, $CellContext`a, \
$CellContext`b]/$CellContext`Q0)]; Null); Typeset`initDone$$ = True),
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]]}]}]], "Input",
 CellChangeTimes->{{3.772865978948742*^9, 3.772866142551765*^9}, {
   3.773467890552986*^9, 3.773468106355336*^9}, {3.773468153140465*^9, 
   3.773468232164256*^9}, {3.773468431351313*^9, 3.77346844432362*^9}, 
   3.7734684793357973`*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7703838559810047`*^9, 3.7703838812335043`*^9}},
 ExpressionUUID -> "a75aff98-e87d-4fb3-ae6b-56fb5390ce39"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.773468800652746*^9}]
},
WindowSize->{1061, 684},
WindowMargins->{{46, Automatic}, {Automatic, 0}},
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
Magnification:>0.75 Inherited,
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 47713, 1010, 556, "Input"],
Cell[49180, 1045, 155, 2, 25, "Input"],
Cell[49338, 1049, 87, 1, 42, "Input"]
}
]
*)

(* NotebookSignature AvTbPQFMzzc4fAKj#vvs1Pbq *)
